# Change the project's deliverability lines (owner or manager)

`PUT /deliverability/rules` · Rivier · domains

Change the project's deliverability lines (owner or manager).

- Scope: domains:write
- Mcp: rivier_domain_deliv_rules_set
- Graphql: Mutation.domainsDeliverabilityRulesSet
- Sdk: domains.deliverabilityRules.set
- Cli: domains deliverability rules set

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "softBounceLimit": {
      "type": "integer",
      "minimum": 1
    },
    "softBounceWindowDays": {
      "type": "integer",
      "minimum": 1
    },
    "complaintRateWarn": {
      "type": "number",
      "minimum": 0,
      "maximum": 1
    },
    "complaintRatePause": {
      "type": "number",
      "minimum": 0,
      "maximum": 1
    },
    "bounceRateWarn": {
      "type": "number",
      "minimum": 0,
      "maximum": 1
    },
    "bouncePause": {
      "type": "number",
      "minimum": 0,
      "maximum": 1
    },
    "minSample": {
      "type": "integer",
      "minimum": 0
    },
    "reportMaxAgeSeconds": {
      "type": "integer",
      "minimum": 0
    },
    "blocklistMaxAgeSeconds": {
      "type": "integer",
      "minimum": 0
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/deliverability/rules' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "softBounceLimit": 0,
  "softBounceWindowDays": 0,
  "complaintRateWarn": 0,
  "complaintRatePause": 0,
  "bounceRateWarn": 0,
  "bouncePause": 0,
  "minSample": 0,
  "reportMaxAgeSeconds": 0
}'
```
